import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileWhereInputObjectSchema as CloudFileWhereInputObjectSchema } from './CloudFileWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => CloudFileWhereInputObjectSchema).optional(),
  isNot: z.lazy(() => CloudFileWhereInputObjectSchema).optional()
}).strict();
export const CloudFileScalarRelationFilterObjectSchema: z.ZodType<Prisma.CloudFileScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileScalarRelationFilter>;
export const CloudFileScalarRelationFilterObjectZodSchema = makeSchema();
